<?php

namespace app\controller;

//use Webman\Http\Response;
use support\Request;

class Controller
{
    // 可以加入一些公共方法
    protected function successResponse($data)
    {
        return Json([
            'code' => 200,
            'status' => 'success',
            'data' => $data,
        ]);
    }

    protected function errorResponse($message)
    {
        return Json([
            'code' => 400,
            'status' => 'error',
            'message' => $message,
        ]);
    }
}
